PREDUPE
PREDUPE (POST)
POST
/
predupes
PREDUPE (POST)
curl --request POST \
--url https://prod.search.resdefio.com/predupes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"Destination": [
{
"Platform_Id": "<string>",
"Survey_Numbers": [
"2025_09"
]
}
],
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Supplier_Id": "<string>",
"Session_Id": "<string>"
}
'import requests
url = "https://prod.search.resdefio.com/predupes"
payload = {
"Destination": [
{
"Platform_Id": "<string>",
"Survey_Numbers": ["2025_09"]
}
],
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Supplier_Id": "<string>",
"Session_Id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Destination: [{Platform_Id: '<string>', Survey_Numbers: ['2025_09']}],
Panel_Id: '<string>',
Hashed_Email: '<string>',
Supplier_Id: '<string>',
Session_Id: '<string>'
})
};
fetch('https://prod.search.resdefio.com/predupes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.search.resdefio.com/predupes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Destination' => [
[
'Platform_Id' => '<string>',
'Survey_Numbers' => [
'2025_09'
]
]
],
'Panel_Id' => '<string>',
'Hashed_Email' => '<string>',
'Supplier_Id' => '<string>',
'Session_Id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.search.resdefio.com/predupes"
payload := strings.NewReader("{\n \"Destination\": [\n {\n \"Platform_Id\": \"<string>\",\n \"Survey_Numbers\": [\n \"2025_09\"\n ]\n }\n ],\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Supplier_Id\": \"<string>\",\n \"Session_Id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.search.resdefio.com/predupes")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"Destination\": [\n {\n \"Platform_Id\": \"<string>\",\n \"Survey_Numbers\": [\n \"2025_09\"\n ]\n }\n ],\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Supplier_Id\": \"<string>\",\n \"Session_Id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.search.resdefio.com/predupes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Destination\": [\n {\n \"Platform_Id\": \"<string>\",\n \"Survey_Numbers\": [\n \"2025_09\"\n ]\n }\n ],\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Supplier_Id\": \"<string>\",\n \"Session_Id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"Destination": [
{
"Platform_Name": "<string>",
"Surveys": [
{
"Flag": 123,
"Survey_Number": "<string>",
"Duplicate_Initial_UD": "<string>",
"Duplicate_Potential": "low",
"Duplicate_Score": 123
}
]
}
],
"Threat_Potential_Score": 123
}Checks for duplicates across multiple survey numbers (projects) on destination platforms, using traffic from another client. This is the standalone PREDUPE API on
prod.search.resdefio.com; it is read-only and does not record a survey number that isn’t already found.
- Up to 30 survey numbers are processed per request across all destinations. If the total exceeds the limit, entries are processed randomly.
- Send the request body as JSON with a
Destinationarray. Each entry has the destinationPlatform_Idand itsSurvey_Numbers. Look up platform IDs with DESTINATION_PLATFORM. - Authenticate with the
x-api-keyheader. Send the respondent’s IP address, cookie, and user agent inrd-ip-address,rd-cookie, andrd-user-agent. Panel_Id,Hashed_Email,Supplier_Id, andSession_Idare optional. They replacert_sr_pd,rt_hd_el,pm_sr_id, andsn_udfrom SEARCH onrtymgt.com.
Authorizations
API key issued for the resdefio.com APIs.
Headers
The respondent's IP address.
The respondent's Research Defender cookie.
The respondent's browser user agent.
Body
application/json
Destination platforms and the survey numbers to check on each. A maximum of 30 survey numbers are processed per request; beyond that, entries are processed randomly.
Show child attributes
Show child attributes
Panelist ID. Optional. Formerly rt_sr_pd on SEARCH.
Hashed email. Optional. Formerly rt_hd_el on SEARCH.
Supplier ID, for reporting only. Optional. Formerly pm_sr_id on SEARCH.
Session ID that identifies the transaction. Optional. Formerly sn_ud on SEARCH.
Was this page helpful?
PREDUPE (POST)
curl --request POST \
--url https://prod.search.resdefio.com/predupes \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"Destination": [
{
"Platform_Id": "<string>",
"Survey_Numbers": [
"2025_09"
]
}
],
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Supplier_Id": "<string>",
"Session_Id": "<string>"
}
'import requests
url = "https://prod.search.resdefio.com/predupes"
payload = {
"Destination": [
{
"Platform_Id": "<string>",
"Survey_Numbers": ["2025_09"]
}
],
"Panel_Id": "<string>",
"Hashed_Email": "<string>",
"Supplier_Id": "<string>",
"Session_Id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Destination: [{Platform_Id: '<string>', Survey_Numbers: ['2025_09']}],
Panel_Id: '<string>',
Hashed_Email: '<string>',
Supplier_Id: '<string>',
Session_Id: '<string>'
})
};
fetch('https://prod.search.resdefio.com/predupes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.search.resdefio.com/predupes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'Destination' => [
[
'Platform_Id' => '<string>',
'Survey_Numbers' => [
'2025_09'
]
]
],
'Panel_Id' => '<string>',
'Hashed_Email' => '<string>',
'Supplier_Id' => '<string>',
'Session_Id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod.search.resdefio.com/predupes"
payload := strings.NewReader("{\n \"Destination\": [\n {\n \"Platform_Id\": \"<string>\",\n \"Survey_Numbers\": [\n \"2025_09\"\n ]\n }\n ],\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Supplier_Id\": \"<string>\",\n \"Session_Id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://prod.search.resdefio.com/predupes")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"Destination\": [\n {\n \"Platform_Id\": \"<string>\",\n \"Survey_Numbers\": [\n \"2025_09\"\n ]\n }\n ],\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Supplier_Id\": \"<string>\",\n \"Session_Id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.search.resdefio.com/predupes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"Destination\": [\n {\n \"Platform_Id\": \"<string>\",\n \"Survey_Numbers\": [\n \"2025_09\"\n ]\n }\n ],\n \"Panel_Id\": \"<string>\",\n \"Hashed_Email\": \"<string>\",\n \"Supplier_Id\": \"<string>\",\n \"Session_Id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"Destination": [
{
"Platform_Name": "<string>",
"Surveys": [
{
"Flag": 123,
"Survey_Number": "<string>",
"Duplicate_Initial_UD": "<string>",
"Duplicate_Potential": "low",
"Duplicate_Score": 123
}
]
}
],
"Threat_Potential_Score": 123
}